<?php
/* $Id: smenu.php,v 1.8 2003/11/26 18:12:46 k-fish Exp $ */

$o = 0;
$smenu[$o]["name"] = Lang::getLanguageString("filelisting");
$smenu[$o]["link"] = ROOTURL."modules/files/index.php?".SID; 

if (queryRights2_bool("root_modules_files_files_write")) {
    $o++;
    $smenu[$o]["name"] = Lang::getLanguageString("newfile");
    $smenu[$o]["link"] = ROOTURL."modules/files/index.php?action=newform&".SID; 
}
if (queryRights2_bool("root_modules_files_category_create") ||
    queryRights2_bool("root_modules_files_category_modify") ||
    queryRights2_bool("root_modules_files_category_delete")) {
    $o++;
    $smenu[$o]["name"] = Lang::getLanguageString("categories");
    $smenu[$o]["link"] = ROOTURL."modules/files/index.php?mod=files&action=category&view=list&".SID; 
}
createSubmenu($smenu);
?>
